ポッドキャスト
既存のノートからポッドキャスト音声を生成します。以下のすべてのエンドポイント は API Key に対応しています。 (X-API-Key または Authorization: Bearer ntx_...)
Base URL: https://api.notexapp.com
Podcast を生成 — POST /v1/create/podcast
ノートから音声ポッドキャストを生成します。task_id が返されるため、
結果は Tasks をポーリングして取得してください。
以下の認証にも対応しています: User JWT、Service Key。
Content-Type: application/x-www-form-urlencoded
| Field | Type | Required | Description |
|---|---|---|---|
note_id | string | required | ポッドキャストを生成するノートの ID |
duration | integer | required | 目標の再生時間(秒) |
speakers | integer | optional | 話者数(1 または 2) |
voice | string | optional | 1人話者用の音声 ID |
voice1 | string | optional | 1人目の話者の音声 ID(2人話者) |
voice2 | string | optional | 2人目の話者の音声 ID(2人話者) |
community | boolean | optional | コミュニティノートから生成 |
# 1人話者、約3分
curl -X POST https://api.notexapp.com/v1/create/podcast \
-H "X-API-Key: ntx_live_..." \
-H "Content-Type: application/x-www-form-urlencoded" \
--data-urlencode "note_id=665f..." \
--data-urlencode "duration=180" \
--data-urlencode "speakers=1" \
--data-urlencode "voice=en-US-Standard-A"
# 2人による対話形式
curl -X POST https://api.notexapp.com/v1/create/podcast \
-H "X-API-Key: ntx_live_..." \
-H "Content-Type: application/x-www-form-urlencoded" \
--data-urlencode "note_id=665f..." \
--data-urlencode "duration=300" \
--data-urlencode "speakers=2" \
--data-urlencode "voice1=en-US-Standard-A" \
--data-urlencode "voice2=en-US-Standard-B"
Response (200) — task_id を返します。
{
"status": "PROCESSING",
"data": {
"task_id": "b3f1a2c4-...",
"user_id": "665f..."
}
}
タスクの結果をポーリングして、生成されたポッドキャストの URL を取得します。
{
"status": "SUCCESS",
"data": {
"note_id": "665f...",
"podcast_url": "https://cdn.notexapp.com/podcasts/..."
}
}
Was this page helpful?